<?php
/*
Plugin Name: YouTube動画レスポンシブ対応プラグイン
Plugin URI: 
Description: ChatGPT作成。動画のURLを入力すると、自動で記事に挿入するショートコードを作成します。対応はYouTube動画のみですご注意ください
Version: 1.0
Author: ChatGPT
Author URI: 
License: GPLv2 or later
*/

// ボタンの追加
add_action( 'media_buttons', 'custom_media_button', 99 );
function custom_media_button() {
    echo '<a href="#" id="insert-video-btn" class="button">動画を挿入する</a>';
}

// JSの読み込み
add_action( 'admin_enqueue_scripts', 'add_my_media_button' );
function add_my_media_button() {
    wp_enqueue_script( 'insert-video-script', plugin_dir_url( __FILE__ ) . 'js/insert-video.js', array( 'jquery' ), '1.0', true );
}

// ショートコードの作成
function create_video_shortcode( $atts ) {
    $atts = shortcode_atts( array(
        'url' => '',
    ), $atts );

    $url = str_replace( 'https://youtu.be/', 'https://www.youtube.com/embed/', $atts['url'] );
    $shortcode = sprintf(
        '<div style="position: relative; padding-bottom: 56.25%%; height: 0; overflow: hidden;"><iframe src="%s" style="position: absolute; top: 0; left: 0; width: 100%%; height: 100%%;" frameborder="0" allowfullscreen></iframe></div>',
        esc_url( $url )
    );

    return $shortcode;
}
add_shortcode( 'video', 'create_video_shortcode' );
